%object-cover {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

%input-reset {
    padding: 0;
    margin: 0;
    border: none;
    outline: none;
}

%textarea-reset {
    border: none;
    background-color: transparent;
    resize: none;
}

%disable-scrollbar {
    &::-webkit-scrollbar {
        height: 0;
        width: 0;

        &-track {
            background-color: transparent;
        }

        &-thumb {
            background-color: transparent;
        }
    }
}

// FlexBox
%row-flex-center {
    display: flex;
    align-items: center;
    justify-content: center;
}

%row-align-center {
    display: flex;
    align-items: center;
}

%row-justify-center {
    display: flex;
    justify-content: center;
}

%column-align-center {
    display: flex;
    flex-direction: column;
    align-items: center;
}

%column-justify-center {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

%column-flex-center {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}